# Composio ## Docs - [Execute an action](https://composio-27-feat-docs-revamp.mintlify.app/api-reference/actions/execute-an-action.md): Execute an action. Support both connected account and no auth auth. - [Get action inputs](https://composio-27-feat-docs-revamp.mintlify.app/api-reference/actions/get-action-inputs.md): Get the inputs for an action with NLA - [Get single action](https://composio-27-feat-docs-revamp.mintlify.app/api-reference/actions/get-single-action.md): Get action details, including the input and response schema. This is very useful for setting upfunction/tool calling with composio actions. - [List action tags](https://composio-27-feat-docs-revamp.mintlify.app/api-reference/actions/list-action-tags.md): List all the action tags available in composio - [List actions](https://composio-27-feat-docs-revamp.mintlify.app/api-reference/actions/list-actions.md): Retrieve a list of all actions based on query parameters. - [Delete api key](https://composio-27-feat-docs-revamp.mintlify.app/api-reference/api-keys/delete-api-key.md) - [Generate api key](https://composio-27-feat-docs-revamp.mintlify.app/api-reference/api-keys/generate-api-key.md) - [List api keys](https://composio-27-feat-docs-revamp.mintlify.app/api-reference/api-keys/list-api-keys.md) - [Get single app](https://composio-27-feat-docs-revamp.mintlify.app/api-reference/apps/get-single-app.md): Get app details - [List app categories](https://composio-27-feat-docs-revamp.mintlify.app/api-reference/apps/list-app-categories.md): List of available app categories, can be used to filter apps. - [List apps](https://composio-27-feat-docs-revamp.mintlify.app/api-reference/apps/list-apps.md): List all apps based on the given filters, if any. This will return all available apps if no filters are provided. - [Get user info](https://composio-27-feat-docs-revamp.mintlify.app/api-reference/client/get-user-info.md): Get client info - [Delete connection](https://composio-27-feat-docs-revamp.mintlify.app/api-reference/connections/delete-connection.md): Delete a connection - [Disable connection](https://composio-27-feat-docs-revamp.mintlify.app/api-reference/connections/disable-connection.md): Disable a connection - [Enable connection](https://composio-27-feat-docs-revamp.mintlify.app/api-reference/connections/enable-connection.md): Enable a connection - [Get Auth credentials](https://composio-27-feat-docs-revamp.mintlify.app/api-reference/connections/get-auth-credentials.md): Get authentication crdentials for the connected account, i.e all the headers, query parameters, etc. that are required to make requests to the third-party service directly. - [Get single connection](https://composio-27-feat-docs-revamp.mintlify.app/api-reference/connections/get-single-connection.md) - [Initiate connection](https://composio-27-feat-docs-revamp.mintlify.app/api-reference/connections/initiate-connection.md) - [List connections](https://composio-27-feat-docs-revamp.mintlify.app/api-reference/connections/list-connections.md): Get all connections in the current project. - [Update connection data](https://composio-27-feat-docs-revamp.mintlify.app/api-reference/connections/update-connection-data.md): Update connection data - [Create connector](https://composio-27-feat-docs-revamp.mintlify.app/api-reference/integrations/create-connector.md): Create a new connector - [Delete connector](https://composio-27-feat-docs-revamp.mintlify.app/api-reference/integrations/delete-connector.md): Delete a connector - [Get connector info](https://composio-27-feat-docs-revamp.mintlify.app/api-reference/integrations/get-connector-info.md): Get connector info - [List all connectors](https://composio-27-feat-docs-revamp.mintlify.app/api-reference/integrations/list-all-connectors.md): List all connectors - [Modify connector](https://composio-27-feat-docs-revamp.mintlify.app/api-reference/integrations/modify-connector.md): Modify a connector - [Get logs](https://composio-27-feat-docs-revamp.mintlify.app/api-reference/logs/get-logs.md): List logs - [Post logs](https://composio-27-feat-docs-revamp.mintlify.app/api-reference/logs/post-logs.md): Add new logs - [Create new project](https://composio-27-feat-docs-revamp.mintlify.app/api-reference/projects/create-new-project.md): Create a new project to the client's organization - [Delete project](https://composio-27-feat-docs-revamp.mintlify.app/api-reference/projects/delete-project.md) - [Get project](https://composio-27-feat-docs-revamp.mintlify.app/api-reference/projects/get-project.md) - [List all projects](https://composio-27-feat-docs-revamp.mintlify.app/api-reference/projects/list-all-projects.md) - [Regenerate project api key](https://composio-27-feat-docs-revamp.mintlify.app/api-reference/projects/regenerate-project-api-key.md): Regenerate project API key. Ideally use when no API key is available as project can have multiple API keys - [Rename project](https://composio-27-feat-docs-revamp.mintlify.app/api-reference/projects/rename-project.md) - [Invite member](https://composio-27-feat-docs-revamp.mintlify.app/api-reference/team/invite-member.md) - [List members](https://composio-27-feat-docs-revamp.mintlify.app/api-reference/team/list-members.md) - [Delete trigger](https://composio-27-feat-docs-revamp.mintlify.app/api-reference/triggers/delete-trigger.md): Deletes a specified trigger instance. - [Disable trigger](https://composio-27-feat-docs-revamp.mintlify.app/api-reference/triggers/disable-trigger.md): Disables a specified trigger instance. - [Enable trigger](https://composio-27-feat-docs-revamp.mintlify.app/api-reference/triggers/enable-trigger.md): Enables a trigger for a connected account and specific trigger name. - [Get active triggers](https://composio-27-feat-docs-revamp.mintlify.app/api-reference/triggers/get-active-triggers.md): Lists active triggers based on query parameters. - [Get logs](https://composio-27-feat-docs-revamp.mintlify.app/api-reference/triggers/get-logs.md): Fetches logs based on connection and integration details. - [Get trigger info](https://composio-27-feat-docs-revamp.mintlify.app/api-reference/triggers/get-trigger-info.md): Get Trigger Info - [Get webhook url](https://composio-27-feat-docs-revamp.mintlify.app/api-reference/triggers/get-webhook-url.md): Retrieves the universal callback URL set for the client. - [List triggers](https://composio-27-feat-docs-revamp.mintlify.app/api-reference/triggers/list-triggers.md): List triggers - [Set callback url](https://composio-27-feat-docs-revamp.mintlify.app/api-reference/triggers/set-callback-url.md): Sets a universal callback URL for the client. - [Switch trigger instance status](https://composio-27-feat-docs-revamp.mintlify.app/api-reference/triggers/switch-trigger-instance-status.md): Switches the status of a trigger instance. - [Update new webhook](https://composio-27-feat-docs-revamp.mintlify.app/api-reference/triggers/update-new-webhook.md): Update isNewWebhook - [Coinbase Wallet Manager Agent](https://composio-27-feat-docs-revamp.mintlify.app/cryptokit/coinbase_agent.md): This project demonstrates how to use Composio to create a Coinbase Wallet Manager Agent. - [Community Reward Agent](https://composio-27-feat-docs-revamp.mintlify.app/cryptokit/community_reward_agent.md): This project demonstrates how to use Composio to create a Community Reward Agent. - [Github Contributor Reward Agent](https://composio-27-feat-docs-revamp.mintlify.app/cryptokit/github_contributor_reward_agent.md): This project demonstrates how to use Composio to create a Github Contributor Reward Agent. - [Tools For AI Crypto Kit](https://composio-27-feat-docs-revamp.mintlify.app/cryptokit/tools.md): List of tools you can use for your AI Crypto Development, compatible with agentic frameworks like CrewAI, LangChain, and LlamaIndex etc. These utilities enable Wallet Creation, Transaction Execution, and other crypto related tasks - [Crypto Trading Agent](https://composio-27-feat-docs-revamp.mintlify.app/cryptokit/trading_agent.md): This project demonstrates how to use Composio to create an automated crypto trading agent that monitors and executes trades on Base Mainnet. - [Calendar Agent](https://composio-27-feat-docs-revamp.mintlify.app/examples/combined/calendar-agent-javascript.md): This project is an example which uses Composio to seamlessly convert your to-do lists into Google Calendar events. It automatically schedules tasks with specified labels and times, ensuring your calendar is always up-to-date and organized. - [Calendar Agent](https://composio-27-feat-docs-revamp.mintlify.app/examples/combined/calendar-agent-python.md): This project is an example which uses Composio to seamlessly convert your to-do lists into Google Calendar events. It automatically schedules tasks with specified labels and times, ensuring your calendar is always up-to-date and organized. - [Code Execution Agent](https://composio-27-feat-docs-revamp.mintlify.app/examples/combined/code-execution-agent-javascript.md): The project generates and executes code based on user-defined problems. It utilizes the Composio and connects your AI Agent to E2B's Code Interpreter to facilitate code execution, allowing users to input a problem statement and receive executable code as output. The agent is designed to operate in a… - [Code Execution Agent](https://composio-27-feat-docs-revamp.mintlify.app/examples/combined/code-execution-agent-python.md): The project generates and executes code based on user-defined problems. It utilizes the Composio and connects your AI Agent to E2B's Code Interpreter to facilitate code execution, allowing users to input a problem statement and receive executable code as output. The agent is designed to operate in a… - [Newsletter Summarizer](https://composio-27-feat-docs-revamp.mintlify.app/examples/combined/newsletter-summarizer-javascript.md): This project serves as an example of how to use Composio to seamlessly fetch and summarize newsletter emails. It automatically retrieves recent newsletters, summarizes their content, and sends a well-formatted email to the specified recipient. - [Newsletter Summarizer](https://composio-27-feat-docs-revamp.mintlify.app/examples/combined/newsletter-summarizer-python.md): This project serves as an example of how to use Composio to seamlessly fetch and summarize newsletter emails. It automatically retrieves recent newsletters, summarizes their content, and sends a well-formatted email to the specified recipient. - [RAG Tool Agent](https://composio-27-feat-docs-revamp.mintlify.app/examples/combined/rag-agent-javascript.md): This project involves setting up and running a system of agents to add content to a RAG (Retrieval-Augmented Generation) tool, perform queries, and return relevant information. We use Composio to setup this Local Tool and OpenAI GPT-4o to power the agents. Follow this guide to set up and run the pro… - [RAG Tool Agent](https://composio-27-feat-docs-revamp.mintlify.app/examples/combined/rag-agent-python.md): This project involves setting up and running a system of agents to add content to a RAG (Retrieval-Augmented Generation) tool, perform queries, and return relevant information. We use Composio to setup this Local Tool and OpenAI GPT-4o to power the agents. Follow this guide to set up and run the pro… - [Research Agent](https://composio-27-feat-docs-revamp.mintlify.app/examples/combined/research-agent-javascript.md): This guide provides detailed steps to create a Demo Assistant using Composio and OpenAI. You will build a system capable of interacting with GitHub to create issues and fetch user information. - [Research Agent](https://composio-27-feat-docs-revamp.mintlify.app/examples/combined/research-agent-python.md): This guide provides detailed steps to create a Demo Assistant using Composio and OpenAI. You will build a system capable of interacting with GitHub to create issues and fetch user information. - [SQL Agent](https://composio-27-feat-docs-revamp.mintlify.app/examples/combined/sql-agent-javascript.md): This guide provides detailed steps to create an agent that leverages Composio to perform SQL queries and file operations. - [SQL Agent](https://composio-27-feat-docs-revamp.mintlify.app/examples/combined/sql-agent-python.md): This guide provides detailed steps to create an agent that leverages Composio to perform SQL queries and file operations to perform sql queries and File operations and plot insightful graphs on the data in the db - [API key](https://composio-27-feat-docs-revamp.mintlify.app/faq/api_key/api_key.md): Learn how to obtain and use your Composio API key - [πŸ’» Using Composio CLI](https://composio-27-feat-docs-revamp.mintlify.app/faq/api_key/cli.md): Learn how to install and use the Composio CLI for managing your agent interactions. - [Listing all tools, actions, and more](https://composio-27-feat-docs-revamp.mintlify.app/faq/integrations_and_connections/list_of_tools.md): This section will walk you through discovering and managing the tools, integrations, actions, and more. - [πŸ› οΈ What LLMs can I use?](https://composio-27-feat-docs-revamp.mintlify.app/faq/supported_llms/supported_llm.md): Understand more about Actions - [Using Composio With Agno](https://composio-27-feat-docs-revamp.mintlify.app/framework/agno.md): Integrate Composio with Agno agents to let them seamlessly interact with external apps - [Using Composio With Autogen](https://composio-27-feat-docs-revamp.mintlify.app/framework/autogen.md): Integrate Composio with Autogen agents to let them seamlessly interact with external Apps - [🐫 Using Composio With CAMEL-AI](https://composio-27-feat-docs-revamp.mintlify.app/framework/camelai.md): Integrate Composio with CAMEL agents to let them seamlessly interact with external apps - [Using Composio With CrewAI](https://composio-27-feat-docs-revamp.mintlify.app/framework/crewai.md): Integrate Composio with CrewAI agents to let them seamlessly interact with external apps - [Using Composio With Gemini](https://composio-27-feat-docs-revamp.mintlify.app/framework/gemini.md): Integrate Composio with Gemini to let them seamlessly interact with external Apps - [Using Composio With Google AI](https://composio-27-feat-docs-revamp.mintlify.app/framework/google.md): Enable Google AI models to seamlessly interact with external apps via Composio for enhanced functionality - [🧻 Using Composio With Griptape](https://composio-27-feat-docs-revamp.mintlify.app/framework/griptape.md): Integrate Composio with Griptape agents to let them seamlessly interact with external apps - [Using Composio With Groq](https://composio-27-feat-docs-revamp.mintlify.app/framework/groq.md): Integrate Composio with Groq to seamlessly interact with external apps - [Using Composio With IBM](https://composio-27-feat-docs-revamp.mintlify.app/framework/ibm.md): Integrate Composio with IBM's Granite Models to let them seamlessly interact with external apps - [Using Composio With Julep](https://composio-27-feat-docs-revamp.mintlify.app/framework/julep.md): Integrate Composio with Julep agents to enhance their interaction with external apps - [πŸ¦œπŸ”— Using Composio With LangChain](https://composio-27-feat-docs-revamp.mintlify.app/framework/langchain.md): Integrate Composio with LangChain agents to let them seamlessly interact with external apps - [Using Composio With LangFlow](https://composio-27-feat-docs-revamp.mintlify.app/framework/langflow.md): Use Composio with LangFlow to create LLM agents that can interact with external apps - [πŸ¦œπŸ•ΈοΈ Using Composio With LangGraph](https://composio-27-feat-docs-revamp.mintlify.app/framework/langgraph.md): Integrate Composio with LangGraph agents to let them seamlessly interact with external apps - [Using Composio With Letta](https://composio-27-feat-docs-revamp.mintlify.app/framework/letta.md): Integrate Composio with Letta agents to let them seamlessly interact with external apps - [Using Composio With LiteLLM](https://composio-27-feat-docs-revamp.mintlify.app/framework/litellm.md): Integrate Composio with LiteLLM and seamlessly interact with external apps - [πŸ¦™ Using Composio With LlamaIndex](https://composio-27-feat-docs-revamp.mintlify.app/framework/llamaindex.md): Integrate Composio with LLamaIndex agents to let them seamlessly interact with external apps - [Using Composio With Lyzr](https://composio-27-feat-docs-revamp.mintlify.app/framework/lyzr.md): Integrate Composio with Lyzr agents to let them seamlessly interact with external apps - [֎ Using Composio With OpenAI](https://composio-27-feat-docs-revamp.mintlify.app/framework/openai.md): Integrate Composio with OpenAI Assistants to let them seamlessly interact with external apps - [πŸ“– Using Composio With PraisonAI](https://composio-27-feat-docs-revamp.mintlify.app/framework/praisonai.md): Integrate Composio with PraisonAI agents to let them seamlessly interact with external apps - [Using Composio With Smol Agents](https://composio-27-feat-docs-revamp.mintlify.app/framework/smolagents.md): Integrate Composio with Smol agents to let them seamlessly interact with external apps - [Google: OAuth2 single service](https://composio-27-feat-docs-revamp.mintlify.app/integrations/google.md): In this guide you'll learn how to create and setup a new Google Project and get the OAuth credentials - [Workspace Environments](https://composio-27-feat-docs-revamp.mintlify.app/introduction/foundations/components/workspace.md): Configure and utilize different workspace environments for running your agents securely and with custom configurations. - [Basic Concepts](https://composio-27-feat-docs-revamp.mintlify.app/introduction/intro/basic.md): Core Platform Modules - [Overview](https://composio-27-feat-docs-revamp.mintlify.app/introduction/intro/overview.md): Empower your AI agents with Composio - a platform for managing and integrating tools with LLMs & AI agents using Function Calling. - [πŸš€ Quick Start - Tools](https://composio-27-feat-docs-revamp.mintlify.app/introduction/intro/quickstart-tools.md): Learn how to use Tools in less than 5 minutes - [πŸš€ Quick Start - Triggers](https://composio-27-feat-docs-revamp.mintlify.app/introduction/intro/quickstart-triggers.md): Learn how to use Triggers in less than 5 minutes - [Using Composio With Cloudflare Worker AI](https://composio-27-feat-docs-revamp.mintlify.app/javascript/cloudflare.md): Integrate Composio with Cloudflare Worker AI to let them seamlessly interact with external apps - [Using Composio With Vercel AI SDK](https://composio-27-feat-docs-revamp.mintlify.app/javascript/vercel.md): Integrate Composio with Vercel AI SDK to let them seamlessly interact with external apps - [How To Configure Connections?](https://composio-27-feat-docs-revamp.mintlify.app/patterns/Auth/Integrations.md): Learn how to configure connections for your users - [Create & Manage Connections for Users](https://composio-27-feat-docs-revamp.mintlify.app/patterns/Auth/connected_account.md): Learn how to securely manage and authenticate multiple user connections - [Connecting your User's Gmail Account](https://composio-27-feat-docs-revamp.mintlify.app/patterns/Auth/examples/gmail_example.md): Here's how to connect your user to Gmail - [Connecting a Shopify Account using API Key](https://composio-27-feat-docs-revamp.mintlify.app/patterns/Auth/examples/shopify_example.md): Guide to getting your user's Shopify account connected using API Key - [How to use Connections?](https://composio-27-feat-docs-revamp.mintlify.app/patterns/Auth/using-connections.md): Learn how to use connections - [Build Tools with Auth](https://composio-27-feat-docs-revamp.mintlify.app/patterns/tools/build-tools/custom-action-with-auth.md): Create custom actions that leverage existing tool authentication to extend functionality. - [Build Tools Without Auth](https://composio-27-feat-docs-revamp.mintlify.app/patterns/tools/build-tools/custom-action-without-auth.md): Create standalone custom tools and actions for any functionality you need (e.g., data processing, calculations, or integrations with other services) - [πŸ”§ How to add your own App?](https://composio-27-feat-docs-revamp.mintlify.app/patterns/tools/custom-integration.md): Learn how to add your own App to Composio - [πŸ› οΈ Serving Tools Over Endpoint](https://composio-27-feat-docs-revamp.mintlify.app/patterns/tools/serve-tools.md): Learn how to create a REST API endpoint that processes natural language requests into tool actions using Composio, OpenAI and FastAPI - [πŸ› οΈ How can I use Tools with LLMs?](https://composio-27-feat-docs-revamp.mintlify.app/patterns/tools/use-tools/action-guide-with-agents.md): Guide to using Tools with LLMs - [πŸ› οΈ How can I use Tools directly?](https://composio-27-feat-docs-revamp.mintlify.app/patterns/tools/use-tools/action-guide-without-agents.md): Guide to use Tools directly as function calls - [πŸ› οΈ Configure Tools](https://composio-27-feat-docs-revamp.mintlify.app/patterns/tools/use-tools/configure-tools.md): Learn how to configure tools - [πŸ› οΈ How can I get the schema for an Action?](https://composio-27-feat-docs-revamp.mintlify.app/patterns/tools/use-tools/get-action-inputs.md): Guide to get the schema for an Action - [πŸ› οΈ How to modify Actions?](https://composio-27-feat-docs-revamp.mintlify.app/patterns/tools/use-tools/processing-actions.md): Learn how to modify Tools & Actions to refine schemas, inputs, and outputs for optimal results. - [How can I get and use specific actions from a Tool?](https://composio-27-feat-docs-revamp.mintlify.app/patterns/tools/use-tools/use-specific-actions.md): Each Tool (like GitHub, Slack, etc.) comes with many Actions. You can explore all available Tools & Actions [here](https://app.composio.dev/apps). Each Action has an associated action ID which you can use to call the action. - [πŸ› οΈ How Can I Use Tools and Actions With Existing Authentication?](https://composio-27-feat-docs-revamp.mintlify.app/patterns/tools/use-tools/use-tools-with-your-auth.md): Guide to using existing authentication with tools and actions - [Action Versioning](https://composio-27-feat-docs-revamp.mintlify.app/patterns/tools/versioning.md): Learn how to use versioned actions in Composio - [πŸ› οΈ What are Tools & Actions?](https://composio-27-feat-docs-revamp.mintlify.app/patterns/tools/what-are-tools.md): Learn about tools in Composio - [Getting Started with Triggers](https://composio-27-feat-docs-revamp.mintlify.app/patterns/triggers/triggers.md): Triggers monitor specific events in apps like GitHub or Gmail and notify your agents via webhooks. When triggered, they send relevant data that your agents can act upon - [Getting Started with Webhooks](https://composio-27-feat-docs-revamp.mintlify.app/patterns/triggers/webhooks.md): Learn how to configure and receive real-time notifications about activities in your Composio account through webhooks - [AI Lead Generator Agent](https://composio-27-feat-docs-revamp.mintlify.app/sdrkit/ai-lead-generator.md): This project demonstrates how to use Composio to create a lead generation agent. - [AI Market Research Agent](https://composio-27-feat-docs-revamp.mintlify.app/sdrkit/ai-market-research-agent.md): This project demonstrates how to use Composio to create a market research agent. - [AI Outreach Agent](https://composio-27-feat-docs-revamp.mintlify.app/sdrkit/ai-outreach-agent.md): This project demonstrates how to use Composio to create an outreach agent. - [AI Scheduling Agent](https://composio-27-feat-docs-revamp.mintlify.app/sdrkit/ai-scheduling-agent.md): This project demonstrates how to use Composio to create a scheduling agent. - [Tools For AI SDR Kit](https://composio-27-feat-docs-revamp.mintlify.app/sdrkit/tools.md): List of tools you can use for your AI SDR Development, compatible with agentic frameworks like CrewAI, LangChain, and LlamaIndex etc. These utilities enable file system operations, command execution, and other core development tasks - [SWE Kit: PR Review Agent](https://composio-27-feat-docs-revamp.mintlify.app/swekit-examples/introduction.md): Build a PR Review agent with SWE Kit - [SWE Development Kit](https://composio-27-feat-docs-revamp.mintlify.app/swekit-js/introduction.md): Build and benchmark Software Engineering agents with Composio's tooling ecosystem using JavaScript - [Tools For SWE Kit](https://composio-27-feat-docs-revamp.mintlify.app/swekit-tools/introduction.md): List of tools you can use for your SWE Kit Development, compatible with agentic frameworks like CrewAI, LangChain, and LlamaIndex etc. These utilities enable file system operations, command execution, and other core development tasks - [Benchmarks](https://composio-27-feat-docs-revamp.mintlify.app/swekit/benchmarks.md): Learn how to run and evaluate your SWE agents using benchmarks - [SWE Development Kit](https://composio-27-feat-docs-revamp.mintlify.app/swekit/introduction.md): Build Software Engineering agents locally with frameworks and tools of your choice ## OpenAPI Specs - [composio_openapi](https://composio-27-feat-docs-revamp.mintlify.app/composio_openapi.json) - [composio](https://composio-27-feat-docs-revamp.mintlify.app/composio.yaml) ## Optional - [All Tools](https://app.composio.dev/apps) - [Chat with Code](https://entelligence.ai/ComposioHQ&composio)